# all files / ol/webgl/ fragment.js

88.89% Statements 8/9
100% Branches 0/0
50% Functions 1/2
88.89% Lines 8/9

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    261×

    1×
    1×
    1×

    1×
    6×

    1×

    1×

     goog.provide('ol.webgl.Fragment');

    goog.require('ol');
    goog.require('ol.webgl');
    goog.require('ol.webgl.Shader');

    /**
     * @constructor
     * @extends {ol.webgl.Shader}
     * @param {string} source Source.
     * @struct
     */
    ol.webgl.Fragment = function(source) {
      ol.webgl.Shader.call(this, source);
    };
    ol.inherits(ol.webgl.Fragment, ol.webgl.Shader);

    /**
     * @inheritDoc
     */
    ol.webgl.Fragment.prototype.getType = function() {
      return ol.webgl.FRAGMENT_SHADER;
    };